=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/vendor.mk
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-
-# Ubuntu i386 binary compatibility only effort
-UBUNTU_I386 = 0
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
-    UBUNTU_I386 = 1
-endif
 
 LDB_VERSION = $(shell pkg-config --modversion ldb)
 LDB_EPOCH = $(shell dpkg-query -f '$${Version}' -W libldb-dev | sed 's/:.*//')
@@ -37,7 +32,7 @@
 export PATH:=$(CURDIR)/debian/bin:$(PATH)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-WAF += -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    WAF += -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
 conf_args = \
@@ -80,21 +75,35 @@
 		--enable-spotlight
 
 
-ifeq ($(UBUNTU_I386), 0)
-ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32, $(DEB_HOST_ARCH)))
+WITH_CEPH = yes
+# Ceph is not available on all platforms
+ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32, $(DEB_HOST_ARCH)))
+    WITH_CEPH = no
+endif
+# Ubuntu i386 binary compatibility only effort: No Ceph
+ifeq ($(DEB_VENDOR) $(DEB_HOST_ARCH), Ubuntu i386)
+    WITH_CEPH = no
+endif
+
+ifeq ($(WITH_CEPH), yes)
 	conf_args += \
 		--enable-ceph-reclock
 else
 	conf_args += \
 		--disable-cephfs
 endif
-endif
-
-# Ubuntu i386 binary compatibility only effort: Disable ceph support
-ifeq ($(UBUNTU_I386), 1)
-	conf_args += \
-		--disable-cephfs
-endif
+
+
+WITH_GLUSTERFS = yes
+# GlusterFS is linux-only
+ifneq ($(DEB_HOST_ARCH_OS), linux)
+    WITH_CEPH = no
+endif
+# GlusterFS is not in Ubuntu main
+ifeq ($(DEB_VENDOR), Ubuntu)
+    WITH_GLUSTERFS = no
+endif
+
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	conf_args += \
@@ -107,7 +116,7 @@
 endif
 
 # Ubuntu i386 binary compatibility only effort: Disable some i386 packages
-ifeq ($(UBUNTU_I386), 1)
+ifeq ($(DEB_VENDOR) $(DEB_HOST_ARCH), Ubuntu i386)
 	BUILD_PACKAGES += \
 		-Nctdb \
 		-Nlibpam-winbind \
@@ -196,7 +205,3 @@
 	  $(DESTDIR)/lib/systemd/system/nmbd.service \
 	  $(DESTDIR)/lib/systemd/system/samba-ad-dc.service \
 	  $(DESTDIR)/lib/systemd/system/smbd.service \
-	  $(DESTDIR)/lib/systemd/system/winbind.service
-endif
-	# Harmless on systems without systemd-tmpfiles, and other consumers exist
-	# such as OpenRC's opentmpfiles
